Bug 101819 - [I945GM] Pasted text not shown after mouse middle-click
Summary: [I945GM] Pasted text not shown after mouse middle-click
Status: REOPENED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: PatchMerged
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-17 10:32 UTC by Paul Menzel
Modified: 2017-08-08 08:38 UTC (History)
4 users (show)

See Also:
i915 platform: I945GM
i915 features: display/Other


Attachments
Linux messages with `drm.debug=0xe` (76.25 KB, text/plain)
2017-07-20 11:08 UTC, Paul Menzel
no flags Details
~/.local/share/xorg/Xorg.0.log (25.95 KB, text/plain)
2017-08-07 08:08 UTC, Paul Menzel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Paul Menzel 2017-07-17 10:37:06 UTC
[Sorry, I hit enter before entering the description.]

This is probably related to bug #101790. Even after the fix, pasting something with the middle mouse button, the pasted text is not shown until some key is pressed or the mouse cursor is moved. (Maybe related to interrupts.)


[1] https://bugs.freedesktop.org/show_bug.cgi?id=101790
Comment 2 Elizabeth 2017-07-19 16:08:04 UTC
Hello Paul,
Could you please attach logs also in this bug?
Thank you.
Comment 3 Paul Menzel 2017-07-20 11:08:40 UTC
Created attachment 132785 [details]
Linux messages with `drm.debug=0xe`

(In reply to Elizabeth from comment #2)

> Could you please attach logs also in this bug?

Sorry for not attaching it in the first place. When pressing the middle mouse button, nothing happens in the (Linux) log though.
Comment 4 Paul Menzel 2017-07-20 11:12:34 UTC
Also, please note, playing for example music in the background (with MPlayer) then the text is pasted after pressing the middle mouse button also with delay but well below a second. This support the “interrupt problem” theory.
Comment 5 David H. Gutteridge 2017-07-20 13:44:15 UTC
I could duplicate bug 101790 before applying its associated patch, but I'm not able to duplicate this one as far as I can tell. I tested in both Wayland (Gnome 3) and X.org (MATE) on a machine with a 945GME, and I didn't see any lag when I kept the mouse stationary while clicking the middle button.
Comment 6 Thorsten Leemhuis 2017-07-27 13:18:50 UTC
FYI: This issues is tracked in the regression reports for Linux 4.13 (http://bit.ly/lnxregrep413 ) with this id:

Linux-Regression-ID: lr#d672f3

Please include this line in the comment section of patches that are supposed to fix the issue. Please also mention the string once in other mailinglist threads or different bug tracking entries if you or someone else start to discuss the issue there. By including that string you make it a whole lot easier to track where an issue gets discussed and how far patches to fix it have made it. More details on this: http://bit.ly/lnxregtrackid

Thx for your help.
Comment 7 Ricardo 2017-07-28 14:32:29 UTC
ralated to bug - https://bugs.freedesktop.org/show_bug.cgi?id=101790 a patch has been merged and problem should be fixed... closing this bug as well. In the case this is not fix please open a new bug with detail logs
Comment 8 Paul Menzel 2017-07-28 14:36:21 UTC
(In reply to Ricardo from comment #7)
> related to bug - https://bugs.freedesktop.org/show_bug.cgi?id=101790 a patch
> has been merged and problem should be fixed... closing this bug as well. In
> the case this is not fix please open a new bug with detail logs

Did you even read the comments?

> Even after the fix, pasting something with the middle mouse button, the pasted
> text is not shown until some key is pressed or the mouse cursor is moved. (Maybe 
> related to interrupts.)
Comment 9 Jani Nikula 2017-08-07 07:38:02 UTC
(In reply to Thorsten Leemhuis from comment #6)
> FYI: This issues is tracked in the regression reports for Linux 4.13
> (http://bit.ly/lnxregrep413 ) with this id:

Smells like a userspace issue to me rather than kernel.

Paul, modesetting or intel driver?
Comment 10 Paul Menzel 2017-08-07 08:08:54 UTC
Created attachment 133277 [details]
~/.local/share/xorg/Xorg.0.log

(In reply to Jani Nikula from comment #9)
> (In reply to Thorsten Leemhuis from comment #6)
> > FYI: This issues is tracked in the regression reports for Linux 4.13
> > (http://bit.ly/lnxregrep413 ) with this id:
> 
> Smells like a userspace issue to me rather than kernel.
> 
> Paul, modesetting or intel driver?

It’s the Intel driver (2:2.99.917+git20161206).

```
[    15.498] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
        i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
        915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
        Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
        GM45, 4 Series, G45/G43, Q45/Q43, G41, B43
```

Please find the `~/.local/share/xorg/Xorg.0.log` attached.
Comment 11 Chris Wilson 2017-08-07 09:31:55 UTC
I would have said userspace as well, except for the fact that the behaviour seemed to have changed with the kernel.
Comment 12 Jani Nikula 2017-08-07 11:57:55 UTC
Hmm, Paul, any chance for a bisect?
Comment 13 Paul Menzel 2017-08-08 06:59:06 UTC
(In reply to Jani Nikula from comment #12)
> Hmm, Paul, any chance for a bisect?

I started with the bisect, and trying to find a good commit turned out, that my comment about a regression was incorrect, as I was able to reproduce the problem with Linux 4.9.x and 3.16.x.

Jani, Chris, I am sorry for the confusion.
Comment 14 Chris Wilson 2017-08-08 08:38:22 UTC
Then in all likelihood you have the last of glXWaitX sync issue in mesa.
Comment 15 Chris Wilson 2017-08-08 08:38:31 UTC
s/last/lack/


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.